## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenClassImpl.CollidingGenOperationFilter

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassImpl.CollidingGenOperationFilter

All Implemented Interfaces:
  GenBaseImpl.GenOperationFilter

Enclosing class:
  GenClassImpl

    public class GenClassImpl.CollidingGenOperationFilter

extends java.lang.Object
implements GenBaseImpl.GenOperationFilter

Field Summary
`protected java.util.List<GenFeature>` `allGenFeatures`
`protected java.util.List<GenOperation>` `extendsGenClassOperations`

Constructor Summary
`GenClassImpl.CollidingGenOperationFilter()`

Method Summary
`boolean` `accept(GenOperation genOperation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allGenFeatures

    protected java.util.List<GenFeature> allGenFeatures

### extendsGenClassOperations

    protected java.util.List<GenOperation> extendsGenClassOperations

Constructor Detail

### GenClassImpl.CollidingGenOperationFilter

    public GenClassImpl.CollidingGenOperationFilter()

Method Detail

### accept

    public boolean accept(GenOperation genOperation)

  Specified by:
    `accept` in interface `GenBaseImpl.GenOperationFilter`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.